using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mhp.Descriptors
{
    [TsDescriptor(0x70,"DataCarousel")]
    [SkyscraperPlugin]
	internal class LabelDescriptor : TsDescriptor
    {
        public LabelDescriptor(byte[] buffer)
        {
            Label = Encoding.ASCII.GetString(buffer);
            Label = Label.Trim('\0');
            Valid = true;
        }

        public string Label { get; private set; }
    }
}
